Skip to main content
GET
/
ren
/
api
/
v1
/
payout
/
limits
/
{customer_id}
cURL
curl --request GET \
  --url https://sandbox.dollarpe.xyz/ren/api/v1/payout/limits/{customer_id} \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-SIGNATURE: <api-key>' \
  --header 'X-TIMESTAMP: <api-key>'
{
  "status": true,
  "message": "Success",
  "data": {
    "daily_limit": 500000,
    "available_limit": 100000,
    "payment_method_limits": {
      "per_transaction_limit": {
        "UPI": 100000,
        "IMPS": 100000
      },
      "total_available_limit": {
        "UPI": 100000,
        "IMPS": 100000
      }
    },
    "full_limit_reset_timestamp": "2024-03-13T10:00:00Z",
    "is_edd_required": false,
    "is_limit_increase_available": true
  }
}
API Status CodeResponseReason
400Customer not found or access deniedCustomer not found
400Customer not found or access deniedCustomer does not belong to the organization
500Internal Server Error.Internal Server Error

Authorizations

X-API-KEY
string
header
required

API Key for authentication

X-TIMESTAMP
string
header
required

Current timestamp in seconds since epoch

X-SIGNATURE
string
header
required

HMAC SHA256 signature of the request encoded in Base64

Path Parameters

customer_id
string<uuid>
required

Customer's unique identifier

Response

Payout limits for customer fetched successfully.

status
boolean
Example:

true

message
string
Example:

"Success"

data
object